CREATE TABLE `webcal_asst` (
  `cal_boss` varchar(25) NOT NULL,
  `cal_assistant` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_boss`,`cal_assistant`)
);

CREATE TABLE `webcal_categories` (
  `cat_id` int(11) NOT NULL,
  `cat_owner` varchar(25) default NULL,
  `cat_name` varchar(80) NOT NULL,
  PRIMARY KEY  (`cat_id`)
);

CREATE TABLE `webcal_config` (
  `cal_setting` varchar(50) NOT NULL,
  `cal_value` varchar(100) default NULL,
  PRIMARY KEY  (`cal_setting`)
);

INSERT INTO `webcal_config` VALUES ('application_name','WebCalendar');
INSERT INTO `webcal_config` VALUES ('LANGUAGE','@@LOCALE@@');
INSERT INTO `webcal_config` VALUES ('demo_mode','N');
INSERT INTO `webcal_config` VALUES ('require_approvals','Y');
INSERT INTO `webcal_config` VALUES ('groups_enabled','N');
INSERT INTO `webcal_config` VALUES ('user_sees_only_his_groups','N');
INSERT INTO `webcal_config` VALUES ('categories_enabled','N');
INSERT INTO `webcal_config` VALUES ('allow_conflicts','N');
INSERT INTO `webcal_config` VALUES ('conflict_repeat_months','6');
INSERT INTO `webcal_config` VALUES ('disable_priority_field','N');
INSERT INTO `webcal_config` VALUES ('disable_access_field','N');
INSERT INTO `webcal_config` VALUES ('disable_participants_field','N');
INSERT INTO `webcal_config` VALUES ('disable_repeating_field','N');
INSERT INTO `webcal_config` VALUES ('allow_view_other','Y');
INSERT INTO `webcal_config` VALUES ('email_fallback_from','youremailhere');
INSERT INTO `webcal_config` VALUES ('remember_last_login','Y');
INSERT INTO `webcal_config` VALUES ('allow_color_customization','Y');
INSERT INTO `webcal_config` VALUES ('BGCOLOR','#FFFFFF');
INSERT INTO `webcal_config` VALUES ('TEXTCOLOR','#000000');
INSERT INTO `webcal_config` VALUES ('H2COLOR','#000000');
INSERT INTO `webcal_config` VALUES ('CELLBG','#C0C0C0');
INSERT INTO `webcal_config` VALUES ('WEEKENDBG','#D0D0D0');
INSERT INTO `webcal_config` VALUES ('TABLEBG','#000000');
INSERT INTO `webcal_config` VALUES ('THBG','#FFFFFF');
INSERT INTO `webcal_config` VALUES ('THFG','#000000');
INSERT INTO `webcal_config` VALUES ('POPUP_FG','#000000');
INSERT INTO `webcal_config` VALUES ('POPUP_BG','#FFFFFF');
INSERT INTO `webcal_config` VALUES ('TODAYCELLBG','#FFFF33');
INSERT INTO `webcal_config` VALUES ('STARTVIEW','week.php');
INSERT INTO `webcal_config` VALUES ('WEEK_START','0');
INSERT INTO `webcal_config` VALUES ('TIME_FORMAT','12');
INSERT INTO `webcal_config` VALUES ('DISPLAY_UNAPPROVED','Y');
INSERT INTO `webcal_config` VALUES ('DISPLAY_WEEKNUMBER','Y');
INSERT INTO `webcal_config` VALUES ('WORK_DAY_START_HOUR','8');
INSERT INTO `webcal_config` VALUES ('WORK_DAY_END_HOUR','17');
INSERT INTO `webcal_config` VALUES ('send_email','N');
INSERT INTO `webcal_config` VALUES ('EMAIL_REMINDER','Y');
INSERT INTO `webcal_config` VALUES ('EMAIL_EVENT_ADDED','Y');
INSERT INTO `webcal_config` VALUES ('EMAIL_EVENT_UPDATED','Y');
INSERT INTO `webcal_config` VALUES ('EMAIL_EVENT_DELETED','Y');
INSERT INTO `webcal_config` VALUES ('EMAIL_EVENT_REJECTED','Y');
INSERT INTO `webcal_config` VALUES ('auto_refresh','N');
INSERT INTO `webcal_config` VALUES ('nonuser_enabled','N');
INSERT INTO `webcal_config` VALUES ('allow_html_description','N');
INSERT INTO `webcal_config` VALUES ('reports_enabled','N');
INSERT INTO `webcal_config` VALUES ('DISPLAY_WEEKENDS','Y');
INSERT INTO `webcal_config` VALUES ('DISPLAY_DESC_PRINT_DAY','N');
INSERT INTO `webcal_config` VALUES ('DATE_FORMAT','__month__ __dd__, __yyyy__');
INSERT INTO `webcal_config` VALUES ('TIME_SLOTS','12');
INSERT INTO `webcal_config` VALUES ('TIMED_EVT_LEN','D');
INSERT INTO `webcal_config` VALUES ('PUBLISH_ENABLED','N');
INSERT INTO `webcal_config` VALUES ('DATE_FORMAT_MY','__month__ __yyyy__');
INSERT INTO `webcal_config` VALUES ('DATE_FORMAT_MD','__month__ __dd__');
INSERT INTO `webcal_config` VALUES ('CUSTOM_SCRIPT','N');
INSERT INTO `webcal_config` VALUES ('CUSTOM_HEADER','N');
INSERT INTO `webcal_config` VALUES ('CUSTOM_TRAILER','N');
INSERT INTO `webcal_config` VALUES ('bold_days_in_year','Y');
INSERT INTO `webcal_config` VALUES ('site_extras_in_popup','N');
INSERT INTO `webcal_config` VALUES ('add_link_in_views','Y');
INSERT INTO `webcal_config` VALUES ('allow_conflict_override','Y');
INSERT INTO `webcal_config` VALUES ('limit_appts','N');
INSERT INTO `webcal_config` VALUES ('limit_appts_number','6');
INSERT INTO `webcal_config` VALUES ('public_access','N');
INSERT INTO `webcal_config` VALUES ('public_access_default_visible','N');
INSERT INTO `webcal_config` VALUES ('public_access_default_selected','N');
INSERT INTO `webcal_config` VALUES ('public_access_others','N');
INSERT INTO `webcal_config` VALUES ('public_access_can_add','N');
INSERT INTO `webcal_config` VALUES ('public_access_add_needs_approval','Y');
INSERT INTO `webcal_config` VALUES ('public_access_view_part','N');
INSERT INTO `webcal_config` VALUES ('nonuser_at_top','Y');
INSERT INTO `webcal_config` VALUES ('allow_external_users','N');
INSERT INTO `webcal_config` VALUES ('external_notifications','N');
INSERT INTO `webcal_config` VALUES ('external_reminders','N');
INSERT INTO `webcal_config` VALUES ('enable_gradients','N');
CREATE TABLE `webcal_entry` (
  `cal_id` int(11) NOT NULL,
  `cal_group_id` int(11) default NULL,
  `cal_ext_for_id` int(11) default NULL,
  `cal_create_by` varchar(25) NOT NULL,
  `cal_date` int(11) NOT NULL,
  `cal_time` int(11) default NULL,
  `cal_mod_date` int(11) default NULL,
  `cal_mod_time` int(11) default NULL,
  `cal_duration` int(11) NOT NULL,
  `cal_priority` int(11) default '2',
  `cal_type` char(1) default 'E',
  `cal_access` char(1) default 'P',
  `cal_name` varchar(80) NOT NULL,
  `cal_description` text,
  PRIMARY KEY  (`cal_id`)
);

CREATE TABLE `webcal_entry_ext_user` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_fullname` varchar(50) NOT NULL,
  `cal_email` varchar(75) default NULL,
  PRIMARY KEY  (`cal_id`,`cal_fullname`)
);

CREATE TABLE `webcal_entry_log` (
  `cal_log_id` int(11) NOT NULL,
  `cal_entry_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  `cal_user_cal` varchar(25) default NULL,
  `cal_type` char(1) NOT NULL,
  `cal_date` int(11) NOT NULL,
  `cal_time` int(11) default NULL,
  `cal_text` text,
  PRIMARY KEY  (`cal_log_id`)
);

CREATE TABLE `webcal_entry_repeats` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_type` varchar(20) default NULL,
  `cal_end` int(11) default NULL,
  `cal_frequency` int(11) default '1',
  `cal_days` char(7) default NULL,
  PRIMARY KEY  (`cal_id`)
);

CREATE TABLE `webcal_entry_repeats_not` (
  `cal_id` int(11) NOT NULL,
  `cal_date` int(11) NOT NULL,
  PRIMARY KEY  (`cal_id`,`cal_date`)
);

CREATE TABLE `webcal_entry_user` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_login` varchar(25) NOT NULL,
  `cal_status` char(1) default 'A',
  `cal_category` int(11) default NULL,
  PRIMARY KEY  (`cal_id`,`cal_login`)
);

CREATE TABLE `webcal_group` (
  `cal_group_id` int(11) NOT NULL,
  `cal_owner` varchar(25) default NULL,
  `cal_name` varchar(50) NOT NULL,
  `cal_last_update` int(11) NOT NULL,
  PRIMARY KEY  (`cal_group_id`)
);

CREATE TABLE `webcal_group_user` (
  `cal_group_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_group_id`,`cal_login`)
);

CREATE TABLE `webcal_import` (
  `cal_import_id` int(11) NOT NULL,
  `cal_name` varchar(50) default NULL,
  `cal_date` int(11) NOT NULL,
  `cal_type` varchar(10) NOT NULL,
  `cal_login` varchar(25) default NULL,
  PRIMARY KEY  (`cal_import_id`)
);

CREATE TABLE `webcal_import_data` (
  `cal_import_id` int(11) NOT NULL,
  `cal_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  `cal_import_type` varchar(15) NOT NULL,
  `cal_external_id` varchar(200) default NULL,
  PRIMARY KEY  (`cal_id`,`cal_login`)
);

CREATE TABLE `webcal_nonuser_cals` (
  `cal_login` varchar(25) NOT NULL,
  `cal_lastname` varchar(25) default NULL,
  `cal_firstname` varchar(25) default NULL,
  `cal_admin` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_login`)
);

CREATE TABLE `webcal_reminder_log` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_name` varchar(25) NOT NULL,
  `cal_event_date` int(11) NOT NULL default '0',
  `cal_last_sent` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cal_id`,`cal_name`,`cal_event_date`)
);

CREATE TABLE `webcal_report` (
  `cal_login` varchar(25) NOT NULL,
  `cal_report_id` int(11) NOT NULL,
  `cal_is_global` char(1) NOT NULL default 'N',
  `cal_report_type` varchar(20) NOT NULL,
  `cal_include_header` char(1) NOT NULL default 'Y',
  `cal_report_name` varchar(50) NOT NULL,
  `cal_time_range` int(11) NOT NULL,
  `cal_user` varchar(25) default NULL,
  `cal_allow_nav` char(1) default 'Y',
  `cal_cat_id` int(11) default NULL,
  `cal_include_empty` char(1) default 'N',
  `cal_show_in_trailer` char(1) default 'N',
  `cal_update_date` int(11) NOT NULL,
  PRIMARY KEY  (`cal_report_id`)
);

CREATE TABLE `webcal_report_template` (
  `cal_report_id` int(11) NOT NULL,
  `cal_template_type` char(1) NOT NULL,
  `cal_template_text` text,
  PRIMARY KEY  (`cal_report_id`,`cal_template_type`)
);

CREATE TABLE `webcal_site_extras` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_name` varchar(25) NOT NULL,
  `cal_type` int(11) NOT NULL,
  `cal_date` int(11) default '0',
  `cal_remind` int(11) default '0',
  `cal_data` text,
  PRIMARY KEY  (`cal_id`,`cal_name`,`cal_type`)
);

CREATE TABLE `webcal_user` (
  `cal_login` varchar(25) NOT NULL,
  `cal_passwd` varchar(32) default NULL,
  `cal_lastname` varchar(25) default NULL,
  `cal_firstname` varchar(25) default NULL,
  `cal_is_admin` char(1) default 'N',
  `cal_email` varchar(75) default NULL,
  PRIMARY KEY  (`cal_login`)
);

INSERT INTO `webcal_user` VALUES ('@@ADMIN_NAME@@','@@ADMIN_PASSWD@@','Administrator','Default','Y',NULL);
CREATE TABLE `webcal_user_layers` (
  `cal_layerid` int(11) NOT NULL default '0',
  `cal_login` varchar(25) NOT NULL,
  `cal_layeruser` varchar(25) NOT NULL,
  `cal_color` varchar(25) default NULL,
  `cal_dups` char(1) default 'N',
  PRIMARY KEY  (`cal_login`,`cal_layeruser`)
);

CREATE TABLE `webcal_user_pref` (
  `cal_login` varchar(25) NOT NULL,
  `cal_setting` varchar(25) NOT NULL,
  `cal_value` varchar(100) default NULL,
  PRIMARY KEY  (`cal_login`,`cal_setting`)
);
INSERT INTO `webcal_user_pref` VALUES ('@@ADMIN_NAME@@','LANGUAGE','@@LOCALE@@'),
('@@ADMIN_NAME@@','TZ_OFFSET','0'),
('@@ADMIN_NAME@@','FONTS','Arial, Helvetica, sans-serif'),
('@@ADMIN_NAME@@','STARTVIEW','week.php'),
('@@ADMIN_NAME@@','DISPLAY_WEEKENDS','Y'),
('@@ADMIN_NAME@@','DISPLAY_DESC_PRINT_DAY','N'),
('@@ADMIN_NAME@@','DATE_FORMAT','__month__ __dd__, __yyyy__'),
('@@ADMIN_NAME@@','DATE_FORMAT_MY','__month__ __yyyy__'),
('@@ADMIN_NAME@@','DATE_FORMAT_MD','__month__ __dd__'),
('@@ADMIN_NAME@@','TIME_FORMAT','12'),
('@@ADMIN_NAME@@','TIME_SLOTS','24'),
('@@ADMIN_NAME@@','auto_refresh','N'),
('@@ADMIN_NAME@@','auto_refresh_time','0'),
('@@ADMIN_NAME@@','DISPLAY_UNAPPROVED','Y'),
('@@ADMIN_NAME@@','DISPLAY_WEEKNUMBER','Y'),
('@@ADMIN_NAME@@','WEEK_START','0'),
('@@ADMIN_NAME@@','WORK_DAY_START_HOUR','8'),
('@@ADMIN_NAME@@','WORK_DAY_END_HOUR','17'),
('@@ADMIN_NAME@@','TIMED_EVT_LEN','D'),
('@@ADMIN_NAME@@','EMAIL_REMINDER','Y'),
('@@ADMIN_NAME@@','EMAIL_EVENT_ADDED','Y'),
('@@ADMIN_NAME@@','EMAIL_EVENT_UPDATED','Y'),
('@@ADMIN_NAME@@','EMAIL_EVENT_DELETED','Y'),
('@@ADMIN_NAME@@','EMAIL_EVENT_REJECTED','Y'),
('@@ADMIN_NAME@@','BGCOLOR','#FFFFFF'),
('@@ADMIN_NAME@@','H2COLOR','#000000'),
('@@ADMIN_NAME@@','CELLBG','#C0C0C0'),
('@@ADMIN_NAME@@','TODAYCELLBG','#FFFF33'),
('@@ADMIN_NAME@@','WEEKENDBG','#D0D0D0');

CREATE TABLE `webcal_view` (
  `cal_view_id` int(11) NOT NULL,
  `cal_owner` varchar(25) NOT NULL,
  `cal_name` varchar(50) NOT NULL,
  `cal_view_type` char(1) default NULL,
  `cal_is_global` char(1) NOT NULL default 'N',
  PRIMARY KEY  (`cal_view_id`)
);

CREATE TABLE `webcal_view_user` (
  `cal_view_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_view_id`,`cal_login`)
);
